--- a/TAs Sun Dec 03 21:11:49 2017 +0000
+++ b/TAs Tue Dec 05 00:34:14 2017 +0000
@@ -27,4 +27,17 @@
2 => 1 (2)
21 => 0 (21)
--------
-279 submissions
\ No newline at end of file
+279 submissions
+
+
+CW7, Part 1
+ (late)
+183 => 7 (184)
+37 => 5 (37)
+14 => 4 (14)
+7 => 3 (6)
+10 => 2 (10)
+6 => 1 (6)
+15 => 0 (16)
+---------
+272 submissions
\ No newline at end of file
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking1/mk Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,35 @@
+#!/bin/sh
+###set -e
+
+trap "exit" INT
+
+files=${1:-assignment20176-*}
+
+for sd in $files; do
+ cd $sd
+ echo $sd
+ touch .
+ cp ../../../marking1/collatz_test.sh .
+ cp ../../../marking1/collatz_test1.scala .
+ cp ../../../marking1/collatz_test2.scala .
+ cp ../../../marking1/alcohol_test.sh .
+ cp ../../../marking1/alcohol.csv .
+ cp ../../../marking1/population.csv .
+ cp ../../../marking1/alcohol_test1.scala .
+ cp ../../../marking1/alcohol_test2.scala .
+ cp ../../../marking1/alcohol_test3.scala .
+ ./collatz_test.sh output
+ ./alcohol_test.sh output
+ rm collatz_test.sh
+ rm collatz_test1.scala
+ rm collatz_test2.scala
+ rm alcohol_test.sh
+ rm alcohol.csv
+ rm population.csv
+ rm alcohol_test1.scala
+ rm alcohol_test2.scala
+ rm alcohol_test3.scala
+ cd ..
+done
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight1_test.sh Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,206 @@
+#!/bin/bash
+
+# to make the script fail safely
+set -euo pipefail
+
+out=${1:-output}
+
+echo "" > $out
+
+echo "Below is the feedback and provisional marks for your submission" >> $out
+echo "for assignment 7 Part 1. Please note all marks are provisional until" >> $out
+echo "ratified by the assessment board -- this is not an official" >> $out
+echo "results transcript." >> $out
+echo "" >> $out
+
+echo "Below is the feedback for your submission of CW 7, Part 1." >> $out
+echo "" >> $out
+
+
+# marks for CW7 part 1
+marks=$(( 0 ))
+
+
+# compilation tests
+
+function scala_compile {
+ (ulimit -t 30; JAVA_OPTS="-Xmx1g" scala "$1" 2> /dev/null 1> /dev/null)
+}
+
+# functional tests
+
+function scala_assert {
+ (ulimit -t 360; JAVA_OPTS="-Xmx1g" scala -i "$1" "$2" -e "" 2> /dev/null 1> /dev/null)
+}
+
+# purity test
+
+function scala_vars {
+ (egrep '\bvar\b|\breturn\b|\.par|ListBuffer|mutable|new Array' "$1" 2> /dev/null 1> /dev/null)
+}
+
+
+# knights1: purity test
+
+echo "knight1.scala does not contain vars, returns, Arrays, ListBuffers etc?" | tee -a $out
+
+if (scala_vars knight1.scala)
+then
+ echo " --> fail" | tee -a $out
+ tsts0=$(( 1 ))
+else
+ echo " --> success" | tee -a $out
+ tsts0=$(( 0 ))
+fi
+
+
+# compilation test
+
+if [ $tsts0 -eq 0 ]
+then
+ echo "knight1.scala runs?" | tee -a $out
+
+ if (scala_compile knight1.scala)
+ then
+ echo " --> success " | tee -a $out
+ tsts1=$(( 0 ))
+ else
+ echo " --> scala did not run knight1.scala" | tee -a $out
+ tsts1=$(( 1 ))
+ fi
+else
+ tsts1=$(( 1 ))
+fi
+
+### knight1a test
+
+if [ $tsts1 -eq 0 ]
+then
+ echo " is_legal(8, Nil)(3, 4) == true " | tee -a $out
+ echo " is_legal(8, List((4, 1), (1, 0)))(4, 1) == false " | tee -a $out
+ echo " is_legal(2, Nil)(0, 0) == true" | tee -a $out
+
+ if (scala_assert "knight1.scala" "knight1a_test.scala")
+ then
+ echo " --> success" | tee -a $out
+ marks=$(( marks + 1 ))
+ else
+ echo " --> test failed" | tee -a $out
+ fi
+fi
+
+### knight1b test
+
+if [ $tsts1 -eq 0 ]
+then
+ echo " legal_moves(8, Nil, (2,2)) == List((3,4), (4,3), (4,1), (3,0), (1,0), (0,1), (0,3), (1,4))" | tee -a $out
+ echo " legal_moves(8, Nil, (7,7)) == List((6,5), (5,6))" | tee -a $out
+ echo " legal_moves(8, List((4,1), (1,0)), (2,2)) == List((3,4), (4,3), (3,0), (0,1), (0,3), (1,4))" | tee -a $out
+ echo " legal_moves(8, List((6,6)), (7,7)) == List((6,5), (5,6))" | tee -a $out
+ echo " legal_moves(1, Nil, (0,0)) == Nil" | tee -a $out
+ echo " legal_moves(2, Nil, (0,0)) == Nil" | tee -a $out
+ echo " legal_moves(3, Nil, (0,0)) == List((1,2), (2,1))" | tee -a $out
+
+ if (scala_assert "knight1.scala" "knight1b_test.scala")
+ then
+ echo " --> success" | tee -a $out
+ marks=$(( marks + 1 ))
+ else
+ echo " --> test failed" | tee -a $out
+ fi
+fi
+
+
+### knight1c test
+
+if [ $tsts1 -eq 0 ]
+then
+ echo " all_tours from every position on the board" | tee -a $out
+ echo " dim = 1: 1" | tee -a $out
+ echo " 2: 0,0,0,0" >> $out
+ echo " 3: 0,0,0,0,0,0,0,0,0" >> $out
+ echo " 4: 0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0" | tee -a $out
+ echo " 5: 304,0,56,0,304,0,56,0,56,0,56,0,64,0,56,0,56,0,56,0,304,0,56,0,304" | tee -a $out
+ echo " enum_tours(5, List((0,2)) ) => 56 tours? and all correct?" | tee -a $out
+
+ if (scala_assert "knight1.scala" "knight1c_test.scala")
+ then
+ echo " --> success" | tee -a $out
+ marks=$(( marks + 2 ))
+ else
+ echo " --> test failed" | tee -a $out
+ fi
+fi
+
+
+# knights2: var test
+
+echo "knight2.scala does not contain vars, returns, Arrays, ListBuffers etc?" | tee -a $out
+
+if (scala_vars knight2.scala)
+then
+ echo " --> fail" | tee -a $out
+ tsts0=$(( 1 ))
+else
+ echo " --> success" | tee -a $out
+ tsts0=$(( 0 ))
+fi
+
+
+# compilation test
+if [ $tsts0 -eq 0 ]
+then
+ echo "knight2.scala runs?" | tee -a $out
+
+ if (scala_compile knight2.scala)
+ then
+ echo " --> success" | tee -a $out
+ tsts1=$(( 0 ))
+ else
+ echo " --> scala did not run knight2.scala" | tee -a $out
+ tsts1=$(( 1 ))
+ fi
+else
+ tsts1=$(( 1 ))
+fi
+
+### knight2a test
+
+if [ $tsts1 -eq 0 ]
+then
+ echo " val f = (x:(Int, Int)) => if (x._1 > 3) Some(List(x)) else None " | tee -a $out
+ echo " first(List((1,0),(2,0),(3,0),(4,0)), f) == Some(List((4,0)))" | tee -a $out
+ echo " first(List((1,0),(2,0),(3,0)), f) == None" | tee -a $out
+
+ if (scala_assert "knight2.scala" "knight2a_test.scala")
+ then
+ echo " --> success" | tee -a $out
+ marks=$(( marks + 1 ))
+ else
+ echo " --> test failed" | tee -a $out
+ fi
+fi
+
+
+### knight2b test
+
+if [ $tsts1 -eq 0 ]
+then
+ echo " is first_tour(8, List((0, 0))) ok? " | tee -a $out
+ echo " is first_tour(4, List((0, 0))) == None " | tee -a $out
+
+ if (scala_assert "knight2.scala" "knight2b_test.scala")
+ then
+ echo " --> success" | tee -a $out
+ marks=$(( marks + 2 ))
+ else
+ echo " --> test failed" | tee -a $out
+ fi
+fi
+
+
+## final marks
+echo "Overall mark for Part 1" | tee -a $out
+echo "$marks" | tee -a $out
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight1a_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,5 @@
+
+assert(CW7a.is_legal(8, Nil)(3, 4) == true)
+assert(CW7a.is_legal(8, List((4, 1), (1, 0)))(4, 1) == false)
+assert(CW7a.is_legal(2, Nil)(0, 0) == true)
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight1b_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,11 @@
+
+assert(CW7a.legal_moves(8, Nil, (2,2)) ==
+ List((3,4), (4,3), (4,1), (3,0), (1,0), (0,1), (0,3), (1,4)))
+assert(CW7a.legal_moves(8, Nil, (7,7)) == List((6,5), (5,6)))
+assert(CW7a.legal_moves(8, List((4,1), (1,0)), (2,2)) ==
+ List((3,4), (4,3), (3,0), (0,1), (0,3), (1,4)))
+assert(CW7a.legal_moves(8, List((6,6)), (7,7)) == List((6,5), (5,6)))
+assert(CW7a.legal_moves(1, Nil, (0,0)) == List())
+assert(CW7a.legal_moves(2, Nil, (0,0)) == List())
+assert(CW7a.legal_moves(3, Nil, (0,0)) == List((1,2), (2,1)))
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight1c_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,47 @@
+
+//import scala.concurrent._
+//import scala.concurrent.duration._
+//import ExecutionContext.Implicits.global
+//import scala.language.postfixOps
+
+type Pos = (Int, Int) // a position on a chessboard
+type Path = List[Pos] // a path...a list of positions
+
+def count_all_tours_urban(dim: Int) = {
+ for (i <- (0 until dim).toList;
+ j <- (0 until dim).toList) yield CW7a.count_tours(dim, List((i, j)))
+}
+
+def add_pair_urban(x: Pos)(y: Pos): Pos =
+ (x._1 + y._1, x._2 + y._2)
+
+def is_legal_urban(dim: Int, path: Path)(x: Pos): Boolean =
+ 0 <= x._1 && 0 <= x._2 && x._1 < dim && x._2 < dim && !path.contains(x)
+
+def moves_urban(x: Pos): List[Pos] =
+ List(( 1, 2),( 2, 1),( 2, -1),( 1, -2),
+ (-1, -2),(-2, -1),(-2, 1),(-1, 2)).map(add_pair_urban(x))
+
+def legal_moves_urban(dim: Int, path: Path, x: Pos): List[Pos] =
+ moves_urban(x).filter(is_legal_urban(dim, path))
+
+def correct_urban(dim: Int)(p: Path): Boolean = p match {
+ case Nil => true
+ case x::Nil => true
+ case x::y::p => if (legal_moves_urban(dim, p, y).contains(x)) correct_urban(dim)(y::p) else false
+}
+
+
+//lazy val f = Future {
+ assert(count_all_tours_urban(1) == List(1))
+ assert(count_all_tours_urban(2) == List(0, 0, 0, 0))
+ assert(count_all_tours_urban(3) == List(0, 0, 0, 0, 0, 0, 0, 0, 0))
+ assert(count_all_tours_urban(4) == List(0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0))
+ assert(count_all_tours_urban(5) == List(304, 0, 56, 0, 304, 0, 56, 0, 56, 0, 56, 0, 64, 0, 56, 0, 56, 0, 56, 0, 304, 0, 56, 0, 304))
+
+ val ts = CW7a.enum_tours(5, List((0, 2)))
+ assert(ts.map(correct_urban(5)).forall(_ == true) == true)
+ assert(ts.length == 56)
+//}
+
+//Await.result(f, 360 second)
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight2a_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,5 @@
+
+val f = (x:(Int, Int)) => if (x._1 > 3) Some(List(x)) else None
+
+assert(CW7b.first(List((1,0),(2,0),(3,0),(4,0)), f) == Some(List((4,0))))
+assert(CW7b.first(List((1,0),(2,0),(3,0)), f) == None)
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight2b_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,40 @@
+
+//import scala.concurrent._
+//import scala.concurrent.duration._
+//import ExecutionContext.Implicits.global
+//import scala.language.postfixOps
+
+type Pos = (Int, Int) // a position on a chessboard
+type Path = List[Pos] // a path...a list of positions
+
+def add_pair_urban(x: Pos)(y: Pos): Pos =
+ (x._1 + y._1, x._2 + y._2)
+
+def is_legal_urban(dim: Int, path: Path)(x: Pos): Boolean =
+ 0 <= x._1 && 0 <= x._2 && x._1 < dim && x._2 < dim && !path.contains(x)
+
+def moves_urban(x: Pos): List[Pos] =
+ List(( 1, 2),( 2, 1),( 2, -1),( 1, -2),
+ (-1, -2),(-2, -1),(-2, 1),(-1, 2)).map(add_pair_urban(x))
+
+def legal_moves_urban(dim: Int, path: Path, x: Pos): List[Pos] =
+ moves_urban(x).filter(is_legal_urban(dim, path))
+
+def correct_urban(dim: Int)(p: Path): Boolean = p match {
+ case Nil => true
+ case x::Nil => true
+ case x::y::p =>
+ if (legal_moves_urban(dim, p, y).contains(x)) correct_urban(dim)(y::p) else false
+}
+
+
+//lazy val f = Future {
+
+ val ts1 = CW7b.first_tour(8, List((0, 0))).get
+ assert(correct_urban(8)(ts1) == true)
+
+ val ts2 = CW7b.first_tour(4, List((0, 0)))
+ assert(ts2 == None)
+//}
+
+//Await.result(f, 300 second)
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight3_test.sh Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,116 @@
+#!/bin/bash
+set -e
+
+out=${1:-output}
+
+echo "" > $out
+
+echo "Below is the feedback for your submission of CW 7, Part 3." >> $out
+echo "" >> $out
+
+function scala_vars {
+ (egrep '\bvar\b|\breturn\b|ListBuffer|mutable' "$1" 2> /dev/null 1> /dev/null)
+}
+
+# compilation tests
+
+function scala_compile {
+ (ulimit -t 30 ; JAVA_OPTS="-Xmx1g" scala "$1" 2>> $out 1>> $out)
+}
+
+# functional tests
+
+function scala_assert {
+ (ulimit -t 20 ; JAVA_OPTS="-Xmx1g" scala -i "$1" "$2" -e "" 2> /dev/null 1> /dev/null)
+}
+
+# purity test
+
+function scala_vars {
+ (egrep '\bvar\b|\breturn\b|\.par|ListBuffer|mutable|new Array' "$1" 2> /dev/null 1> /dev/null)
+}
+
+
+# knights3: purity test
+#
+echo "knight3.scala does not contain vars, returns etc?" >> $out
+
+if (scala_vars knight3.scala)
+then
+ echo " --> fail: if you do not fix this, you will receive a mark of zero" >> $out
+ tsts0=$(( 1 ))
+else
+ echo " --> success" >> $out
+ tsts0=$(( 0 ))
+fi
+
+
+# compilation test
+if [ $tsts0 -eq 0 ]
+then
+ echo "knight3.scala runs?" >> $out
+
+ if (scala_compile knight3.scala)
+ then
+ echo " --> success" >> $out
+ tsts1=$(( 0 ))
+ else
+ echo " --> scala knight3.scala did not run successfully" >> $out
+ tsts1=$(( 1 ))
+ fi
+else
+ tsts1=$(( 1 ))
+fi
+
+# ordered move test
+
+if [ $tsts1 -eq 0 ]
+then
+ echo "Takes 20 seconds or less to execute: " >> $out
+ echo " ordered_moves(8, List((3,4), (3,2)), (1, 3)) == List((0,1), (0,5), (2,1), (2,5))" >> $out
+ echo " ordered_moves(8, List((4,0)), (0,0)) == List((2,1), (1,2))" >> $out
+ echo " ordered_moves(8, List((0,4)), (0,0)) == List((1,2), (2,1))" >> $out
+
+ if (scala_assert "knight3.scala" "knight3a_test.scala")
+ then
+ echo " --> success" >> $out
+ else
+ echo " --> test failed" >> $out
+ fi
+fi
+
+
+# first-closed-tour test
+
+if [ $tsts1 -eq 0 ]
+then
+ echo " first_closed_tour_heuristic(6, List((3, 3))) found and ok?" >> $out
+
+ if (scala_assert "knight3.scala" "knight3b_test.scala")
+ then
+ echo " --> success" >> $out
+ else
+ echo " --> test failed" >> $out
+ fi
+fi
+
+
+
+if [ $tsts1 -eq 0 ]
+then
+ echo "Takes 20 seconds or less to execute: " >> $out
+ echo " first_tour_heuristic(8, List((0,0))) found and ok?" >> $out
+ echo " first_tour_heuristic(40, List((0,0))) found and ok?" >> $out
+
+ if (scala_assert "knight3.scala" "knight3c_test.scala")
+ then
+ echo " --> success" >> $out
+ else
+ echo " --> test failed" >> $out
+ fi
+fi
+
+
+## final marks
+##echo "Overall mark for CW 7, Part 2" | tee -a $out
+##echo "$marks" | tee -a $out
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight3a_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,15 @@
+
+//import scala.concurrent._
+//import scala.concurrent.duration._
+//import ExecutionContext.Implicits.global
+//import scala.language.postfixOps
+
+//lazy val f = Future {
+
+assert(CW7c.ordered_moves(8, List((3,4), (3,2)), (1, 3)) == List((0,1), (0,5), (2,1), (2,5)))
+assert(CW7c.ordered_moves(8, List((4,0)), (0,0)) == List((2,1), (1,2)))
+assert(CW7c.ordered_moves(8, List((0,4)), (0,0)) == List((1,2), (2,1)))
+
+//}
+
+//Await.result(f, 120 second)
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight3b_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,40 @@
+
+//import scala.concurrent._
+//import scala.concurrent.duration._
+//import ExecutionContext.Implicits.global
+//import scala.language.postfixOps
+
+type Pos = (Int, Int)
+type Path = List[Pos]
+
+def add_pair_urban(x: Pos)(y: Pos): Pos =
+ (x._1 + y._1, x._2 + y._2)
+
+def is_legal_urban(dim: Int, path: Path)(x: Pos): Boolean =
+ 0 <= x._1 && 0 <= x._2 && x._1 < dim && x._2 < dim && !path.contains(x)
+
+def moves_urban(x: Pos): List[Pos] =
+ List(( 1, 2),( 2, 1),( 2, -1),( 1, -2),
+ (-1, -2),(-2, -1),(-2, 1),(-1, 2)).map(add_pair_urban(x))
+
+def legal_moves_urban(dim: Int, path: Path, x: Pos): List[Pos] =
+ moves_urban(x).filter(is_legal_urban(dim, path))
+
+def correct_urban(dim: Int)(p: Path): Boolean = p match {
+ case Nil => true
+ case x::Nil => true
+ case x::y::p =>
+ if (legal_moves_urban(dim, p, y).contains(x)) correct_urban(dim)(y::p) else false
+}
+
+def correct_closed_urban(dim: Int)(p: Path) =
+ correct_urban(6)(p) && moves_urban(p.head).contains(p.last)
+
+//lazy val f = Future {
+
+ val tsc = CW7c.first_closed_tour_heuristic(6, List((3, 3))).get
+ assert(correct_closed_urban(6)(tsc) == true)
+
+//}
+
+//Await.result(f, 300 second)
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/knight3c_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,47 @@
+
+//import scala.concurrent._
+//import scala.concurrent.duration._
+//import ExecutionContext.Implicits.global
+//import scala.language.postfixOps
+
+type Pos = (Int, Int)
+type Path = List[Pos]
+
+def add_pair_urban(x: Pos)(y: Pos): Pos =
+ (x._1 + y._1, x._2 + y._2)
+
+def is_legal_urban(dim: Int, path: Path)(x: Pos): Boolean =
+ 0 <= x._1 && 0 <= x._2 && x._1 < dim && x._2 < dim && !path.contains(x)
+
+def moves_urban(x: Pos): List[Pos] =
+ List(( 1, 2),( 2, 1),( 2, -1),( 1, -2),
+ (-1, -2),(-2, -1),(-2, 1),(-1, 2)).map(add_pair_urban(x))
+
+def legal_moves_urban(dim: Int, path: Path, x: Pos): List[Pos] =
+ moves_urban(x).filter(is_legal_urban(dim, path))
+
+def correct_urban(dim: Int)(p: Path): Boolean = p match {
+ case Nil => true
+ case x::Nil => true
+ case x::y::p =>
+ if (legal_moves_urban(dim, p, y).contains(x)) correct_urban(dim)(y::p) else false
+}
+
+//lazy val f1 = Future {
+
+ val ts8 = CW7c.first_tour_heuristic(8, List((0,0))).get
+ assert(correct_urban(8)(ts8) == true)
+
+//}
+
+//Await.result(f1, 360 second)
+
+
+//lazy val f2 = Future {
+
+ val ts40 = CW7c.first_tour_heuristic(40, List((0,0))).get
+ assert(correct_urban(40)(ts40) == true)
+
+//}
+
+//Await.result(f2, 360 second)
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/mark Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh
+###set -e
+
+trap "exit" INT
+
+./collatz_test.sh output1
+./alcohol_test.sh output2
+./drumb_test.sh output3
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/mk Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,28 @@
+#!/bin/sh
+###set -e
+
+trap "exit" INT
+
+files=${1:-assignment20177-*}
+
+for sd in $files; do
+ cd $sd
+ echo $sd
+ touch .
+ cp ../../../marking2/knight1_test.sh .
+ cp ../../../marking2/kinght1a_test.scala .
+ cp ../../../marking2/knight1b_test.scala .
+ cp ../../../marking2/knight1c_test.scala .
+ cp ../../../marking2/knight2a_test.scala .
+ cp ../../../marking2/knight2b_test.scala .
+ ./knight1_test.sh output
+ rm knight1_test.sh
+ rm kinght1a_test.scala
+ rm kinght1b_test.scala
+ rm kinght1c_test.scala
+ rm kinght2a_test.scala
+ rm kinght2b_test.scala
+ cd ..
+done
+
+
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/marking2/tails Tue Dec 05 00:34:14 2017 +0000
@@ -0,0 +1,15 @@
+#!/bin/sh
+###set -e
+
+trap "exit" INT
+
+files=${1:-assignment20177-*}
+
+for sd in $files; do
+ cd $sd
+ #echo $sd
+ tail -1 output
+ cd ..
+done
+
+
--- a/testing2/knight3b_test.scala Sun Dec 03 21:11:49 2017 +0000
+++ b/testing2/knight3b_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -1,8 +1,8 @@
-import scala.concurrent._
-import scala.concurrent.duration._
-import ExecutionContext.Implicits.global
-import scala.language.postfixOps
+//import scala.concurrent._
+//import scala.concurrent.duration._
+//import ExecutionContext.Implicits.global
+//import scala.language.postfixOps
type Pos = (Int, Int)
type Path = List[Pos]
@@ -30,11 +30,11 @@
def correct_closed_urban(dim: Int)(p: Path) =
correct_urban(6)(p) && moves_urban(p.head).contains(p.last)
-lazy val f = Future {
+//lazy val f = Future {
val tsc = CW7c.first_closed_tour_heuristic(6, List((3, 3))).get
assert(correct_closed_urban(6)(tsc) == true)
-}
+//}
-Await.result(f, 300 second)
+//Await.result(f, 300 second)
--- a/testing2/knight3c_test.scala Sun Dec 03 21:11:49 2017 +0000
+++ b/testing2/knight3c_test.scala Tue Dec 05 00:34:14 2017 +0000
@@ -1,8 +1,8 @@
-import scala.concurrent._
-import scala.concurrent.duration._
-import ExecutionContext.Implicits.global
-import scala.language.postfixOps
+//import scala.concurrent._
+//import scala.concurrent.duration._
+//import ExecutionContext.Implicits.global
+//import scala.language.postfixOps
type Pos = (Int, Int)
type Path = List[Pos]
@@ -27,21 +27,21 @@
if (legal_moves_urban(dim, p, y).contains(x)) correct_urban(dim)(y::p) else false
}
-lazy val f1 = Future {
+//lazy val f1 = Future {
val ts8 = CW7c.first_tour_heuristic(8, List((0,0))).get
assert(correct_urban(8)(ts8) == true)
-}
+//}
-Await.result(f1, 360 second)
+//Await.result(f1, 360 second)
-lazy val f2 = Future {
+//lazy val f2 = Future {
val ts40 = CW7c.first_tour_heuristic(40, List((0,0))).get
assert(correct_urban(40)(ts40) == true)
-}
+//}
-Await.result(f2, 360 second)
+//Await.result(f2, 360 second)